Bug 170901 - 'package-cleanup --oldkernels' fails
'package-cleanup --oldkernels' fails
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-15 05:50 EDT by Enrico Scholz
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-14 05:27:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2005-10-15 05:50:35 EDT
Description of problem:

# package-cleanup --oldkernels
Setting up yum
Traceback (most recent call last):
  File "/usr/bin/package-cleanup", line 302, in ?
    main()
  File "/usr/bin/package-cleanup", line 283, in main
    removeKernels(my, opts.kernelcount, opts.confirmed, opts.keepdevel)
  File "/usr/bin/package-cleanup", line 193, in removeKernels
    (kver,krel) = runningkernel.split('-')
ValueError: too many values to unpack


Version-Release number of selected component (if applicable):

yum-utils-0.3.1-1.fc4
Comment 1 Enrico Scholz 2005-10-20 13:47:06 EDT
a better way to determine the package of the currently running kernel is

| rpm -qf /lib/modules/$(uname -r)/modules.dep
Comment 2 Christian Iseli 2007-01-17 18:19:15 EST
FC3 and FC4 have now been EOL'd.

Please check the ticket against a current Fedora release, and either adjust the
release number, or close it if appropriate.

Thanks.

Your friendly BZ janitor :-)
Comment 3 Tim Lauridsen 2007-02-14 05:27:42 EST
This should be working in current releases.

Note You need to log in before you can comment on or make changes to this bug.